org.jboss.netty.handler.codec.spdy

## Class SpdyStreamStatus

- java.lang.Object
- - org.jboss.netty.handler.codec.spdy.SpdyStreamStatus

All Implemented Interfaces:
  Comparable<SpdyStreamStatus>

    public class SpdyStreamStatus
    extends Object
    implements Comparable<SpdyStreamStatus>

The SPDY stream status code and its description.

### Field Summary

Fields
`static SpdyStreamStatus` `CANCEL` 5 Cancel
`static SpdyStreamStatus` `FLOW_CONTROL_ERROR` 7 Flow Control Error
`static SpdyStreamStatus` `FRAME_TOO_LARGE` 11 Frame Too Large
`static SpdyStreamStatus` `INTERNAL_ERROR` 6 Internal Error
`static SpdyStreamStatus` `INVALID_CREDENTIALS` 10 Invalid Credentials
`static SpdyStreamStatus` `INVALID_STREAM` 2 Invalid Stream
`static SpdyStreamStatus` `PROTOCOL_ERROR` 1 Protocol Error
`static SpdyStreamStatus` `REFUSED_STREAM` 3 Refused Stream
`static SpdyStreamStatus` `STREAM_ALREADY_CLOSED` 9 Stream Already Closed
`static SpdyStreamStatus` `STREAM_IN_USE` 8 Stream In Use
`static SpdyStreamStatus` `UNSUPPORTED_VERSION` 4 Unsupported Version

### Constructor Summary

Constructors
Constructor and Description
`SpdyStreamStatus(int code, String statusPhrase)` Creates a new instance with the specified `code` and its `statusPhrase`.

### Method Summary

Methods
`int` `compareTo(SpdyStreamStatus o)`
`boolean` `equals(Object o)`
`int` `getCode()` Returns the code of this status.
`String` `getStatusPhrase()` Returns the status phrase of this status.
`int` `hashCode()`
`String` `toString()`
`static SpdyStreamStatus` `valueOf(int code)` Returns the `SpdyStreamStatus` represented by the specified code.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PROTOCOL_ERROR

    public static final SpdyStreamStatus PROTOCOL_ERROR

1 Protocol Error

#### INVALID_STREAM

    public static final SpdyStreamStatus INVALID_STREAM

2 Invalid Stream

#### REFUSED_STREAM

    public static final SpdyStreamStatus REFUSED_STREAM

3 Refused Stream

#### UNSUPPORTED_VERSION

    public static final SpdyStreamStatus UNSUPPORTED_VERSION

4 Unsupported Version

#### CANCEL

    public static final SpdyStreamStatus CANCEL

5 Cancel

#### INTERNAL_ERROR

    public static final SpdyStreamStatus INTERNAL_ERROR

6 Internal Error

#### FLOW_CONTROL_ERROR

    public static final SpdyStreamStatus FLOW_CONTROL_ERROR

7 Flow Control Error

#### STREAM_IN_USE

    public static final SpdyStreamStatus STREAM_IN_USE

8 Stream In Use

#### STREAM_ALREADY_CLOSED

    public static final SpdyStreamStatus STREAM_ALREADY_CLOSED

9 Stream Already Closed

#### INVALID_CREDENTIALS

    public static final SpdyStreamStatus INVALID_CREDENTIALS

10 Invalid Credentials

#### FRAME_TOO_LARGE

    public static final SpdyStreamStatus FRAME_TOO_LARGE

11 Frame Too Large

### Constructor Detail

#### SpdyStreamStatus

    public SpdyStreamStatus(int code,
                    String statusPhrase)

Creates a new instance with the specified `code` and its `statusPhrase`.

### Method Detail

#### valueOf

    public static SpdyStreamStatus valueOf(int code)

Returns the `SpdyStreamStatus` represented by the specified code. If the specified code is a defined SPDY status code, a cached instance will be returned. Otherwise, a new instance will be returned.

#### getCode

    public int getCode()

Returns the code of this status.

#### getStatusPhrase

    public String getStatusPhrase()

Returns the status phrase of this status.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(SpdyStreamStatus o)

Specified by:
  `compareTo` in interface `Comparable<SpdyStreamStatus>`